tigase.jaxmpp.core.client.xmpp.modules.xep0136

## Class MessageArchivingModule.ItemsAsyncCallback

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.xep0136.MessageArchivingModule.ItemsAsyncCallback

- All Implemented Interfaces:
    AsyncCallback
  Enclosing class:
    MessageArchivingModule

      public abstract static class MessageArchivingModule.ItemsAsyncCallback
      extends Object
      implements AsyncCallback

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemsAsyncCallback()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `onItemsReceived(ChatResultSet chat)`
    `void` | `onSuccess(Stanza iq)` Called when received response has type result.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.jaxmpp.core.client.AsyncCallback

      `onError, onTimeout`

- - ### Constructor Detail

    - #### ItemsAsyncCallback

          public ItemsAsyncCallback()

  - ### Method Detail

    - #### onItemsReceived

          protected abstract void onItemsReceived(ChatResultSet chat)
                                           throws XMLException

      Throws:
        `XMLException`

    - #### onSuccess

          public void onSuccess(Stanza iq)
                         throws XMLException

      Description copied from interface: `AsyncCallback`
      Called when received response has type result.
      Specified by:
        `onSuccess` in interface `AsyncCallback`
      Parameters:
        `iq` - received stanza
      Throws:
        `XMLException`

Copyright © 2006–2020 Tigase. All rights reserved.